Debian Bug report logs - #422800
evolution: Sometimes fails when dragging and dropping a message from one folder to another

version graph

Package: evolution-data-server; Maintainer for evolution-data-server is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution-data-server is src:evolution-data-server.

Reported by: Julien Valroff <julien@kirya.net>

Date: Tue, 8 May 2007 08:33:10 UTC

Severity: grave

Tags: patch

Found in versions evolution-data-server/1.10.1-2, evolution-data-server/2.22.3-1

Fixed in version evolution-data-server/2.22.3-1.1

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=512798

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution: Sometimes fails when dragging and dropping a message from one folder to another
Date: Tue, 08 May 2007 10:27:57 +0200
Package: evolution
Version: 2.10.1-1
Severity: normal

Hi,

I sometimes notice that when I drag and drop a message from one folder to another, evolution simply
fails, without warning. The message is moved to the trash and removed from the original folder, 
but cannot be found in the target folder.

I only use IMAP with Dovecot.

This could cause data loss if the user doesn't notice the operation has failed. I think evolution
should at least control and displays a warning in case it fails.

Cheers,
Julien

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                      1.0.2-5        simple interprocess messaging syst
ii  evolution-common          2.10.1-1       architecture independent files for
ii  evolution-data-server     1.10.1-2       evolution database backend server
ii  gconf2                    2.18.0.1-3     GNOME configuration database syste
ii  gnome-icon-theme          2.18.0-2       GNOME Desktop icon theme
ii  gtkhtml3.14               3.14.1-1       HTML rendering/editing library - b
ii  libart-2.0-2              2.3.19-3       Library of functions for 2D graphi
ii  libatk1.0-0               1.18.0-2       The ATK accessibility toolkit
ii  libbonobo2-0              2.18.0-2       Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.18.0-5       The Bonobo UI library
ii  libc6                     2.5-7          GNU C Library: Shared libraries
ii  libcairo2                 1.4.6-1        The Cairo 2D vector graphics libra
ii  libcamel1.2-10            1.10.1-2       The Evolution MIME message handlin
ii  libdbus-1-3               1.0.2-5        simple interprocess messaging syst
ii  libdbus-glib-1-2          0.73-2         simple interprocess messaging syst
ii  libebook1.2-9             1.10.1-2       Client library for evolution addre
ii  libecal1.2-7              1.10.1-2       Client library for evolution calen
ii  libedataserver1.2-9       1.10.1-2       Utility library for evolution data
ii  libedataserverui1.2-8     1.10.1-2       GUI utility library for evolution 
ii  libegroupwise1.2-13       1.10.1-2       Client library for accessing group
ii  libexchange-storage1.2-3  1.10.1-2       Backend library for evolution cale
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libfreetype6              2.2.1-5        FreeType 2 font engine, shared lib
ii  libgconf2-4               2.18.0.1-3     GNOME configuration database syste
ii  libglade2-0               1:2.6.0-4      library to load .glade files at ru
ii  libglib2.0-0              2.12.12-1      The GLib library of C routines
ii  libgnome-keyring0         0.8.1-2        GNOME keyring services library
ii  libgnome-pilot2           2.0.15-2       Support libraries for gnome-pilot
ii  libgnome2-0               2.18.0-4       The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.14.0-2       A powerful object-oriented display
ii  libgnomeprint2.2-0        2.18.0-2       The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0      2.18.0-2       GNOME 2.2 print architecture User 
ii  libgnomeui-0              2.18.1-2       The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            1:2.18.1-2     GNOME Virtual File System (runtime
ii  libgnutls13               1.6.2-1        the GNU TLS library - runtime libr
ii  libgtk2.0-0               2.10.12-1      The GTK+ graphical user interface 
ii  libgtkhtml3.14-19         3.14.1-1       HTML rendering/editing library - r
ii  libhal1                   0.5.8.1-9      Hardware Abstraction Layer - share
ii  libice6                   1:1.0.3-2      X11 Inter-Client Exchange library
ii  libldap2                  2.1.30-13.4    OpenLDAP libraries
ii  libnm-glib0               0.6.4-8+b1     network management framework (GLib
ii  libnotify1 [libnotify1-gt 0.4.4-3        sends desktop notifications to a n
ii  libnspr4-0d               4.6.6-3        NetScape Portable Runtime Library
ii  libnss3-0d                3.11.5-3       Network Security Service libraries
ii  liborbit2                 1:2.14.7-0.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.16.2-2       Layout and rendering of internatio
ii  libpisock9                0.12.2-9       library for communicating with a P
ii  libpisync0                0.12.2-9       synchronization library for PalmOS
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libpopt0                  1.10-3         lib for parsing cmdline parameters
ii  libsm6                    1:1.0.2-2      X11 Session Management library
ii  libsoup2.2-8              2.2.100-1      an HTTP library implementation in 
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxcursor1               1:1.1.8-2      X cursor management library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension librar
ii  libxfixes3                1:4.0.3-2      X11 miscellaneous 'fixes' extensio
ii  libxi6                    2:1.1.0-2      X11 Input extension library
ii  libxinerama1              1:1.0.2-1      X11 Xinerama extension library
ii  libxml2                   2.6.28.dfsg-1  GNOME XML library
ii  libxrandr2                2:1.2.1-1      X11 RandR extension library
ii  libxrender1               1:0.9.2-1      X Rendering Extension client libra
ii  zlib1g                    1:1.2.3-13     compression library - runtime

Versions of packages evolution recommends:
ii  evolution-plugins             2.10.1-1   standard plugins for Evolution
ii  gnome-desktop-data            2.18.1-1   Common files for GNOME 2 desktop a
pn  gnome-pilot-conduits          <none>     (no description available)
pn  spamassassin | bogofilter     <none>     (no description available)
ii  yelp                          2.18.1-1   Help browser for GNOME 2

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to "Øystein Gisnås" <oystein@gisnas.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 422800@bugs.debian.org (full text, mbox):

From: "Øystein Gisnås" <oystein@gisnas.net>
To: "Julien Valroff" <julien@kirya.net>, 422800@bugs.debian.org
Subject: Re: Bug#422800: evolution: Sometimes fails when dragging and dropping a message from one folder to another
Date: Tue, 8 May 2007 22:51:49 +0200
> I sometimes notice that when I drag and drop a message from one folder to another, evolution simply
> fails, without warning. The message is moved to the trash and removed from the original folder,
> but cannot be found in the target folder.

Hi, and thanks for your report!

Could this issue be related to bug #364038? It seems a bit like since
it ends up in the trash. Is there any reason why the target folder
shouldn't be writeable? You may debug a bit by starting evolution with
CAMEL_DEBUG=all

Cheers,
Øystein



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 422800@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Øystein Gisnås <oystein@gisnas.net>
Cc: 422800@bugs.debian.org
Subject: Re: Bug#422800: evolution: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sat, 12 May 2007 07:26:55 +0200
Le mardi 08 mai 2007 à 22:51 +0200, Øystein Gisnås a écrit :
> > I sometimes notice that when I drag and drop a message from one folder to another, evolution simply
> > fails, without warning. The message is moved to the trash and removed from the original folder,
> > but cannot be found in the target folder.
> 
> Hi, and thanks for your report!
Hi Øystein,

> Could this issue be related to bug #364038? It seems a bit like since
> it ends up in the trash.
No, I don't think it is the same issue here, as it happens with one IMAP
account.

> Is there any reason why the target folder
> shouldn't be writeable?
Not to my knowledge, as this behaviour only happens from time to time. I
have not yet been able to determin a precise action that allows me to
reproduce the bug every time I move message(s) from one folder to the
other. I thought at the beginning that it only happens when the target
folder was just created within evolution, but I couldn't confirm.

> You may debug a bit by starting evolution with
> CAMEL_DEBUG=all
Yes, I will try this.

Cheers,
Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 422800@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Øystein Gisnås <oystein@gisnas.net>
Cc: 422800@bugs.debian.org
Subject: Re: Bug#422800: evolution: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sat, 12 May 2007 07:48:16 +0200
Le mardi 08 mai 2007 à 22:51 +0200, Øystein Gisnås a écrit :
> > I sometimes notice that when I drag and drop a message from one folder to another, evolution simply
> > fails, without warning. The message is moved to the trash and removed from the original folder,
> > but cannot be found in the target folder.
[...]
> You may debug a bit by starting evolution with
> CAMEL_DEBUG=all

OK, I have been able to see something weird: I have created 2 folders
(namely SOURCE_FOLDER and TARGET_FOLDER). I have noticed that the
messages were not moved to from SOURCE_FOLDER to TARGET_FOLDER the
second time I move a mail in a short time and without doing anything
else before doing this (ie. not changing folder etc.)

The CAMEL_DEBUG=all is very verbose, but here is what I have seen when
the issue happens:
CamelFolder:get_message('INBOX/SOURCE_FOLDER', '68') =
class: CamelMimeMessage
mime-type: text/plain
content class: CamelDataWrapper
content mime-type: text/plain
< b40fdb90 >
Thread b40fdb90 >
CamelFolder:get_message('INBOX/SOURCE_FOLDER', '60') =
class: CamelMimeMessage
mime-type: text/plain; charset=ISO-8859-1
content class: CamelDataWrapper
content mime-type: text/plain; charset=ISO-8859-1
< b40fdb90 >
CamelException.setv((nil), 2, 'Failed to cache : No such file or directory')
CamelException.setv(0x89750dc, 2, 'Failed to cache : No such file or directory')

Where it should be something like:
CamelFolder:get_message('INBOX/SOURCE_FOLDER', '70') =
class: CamelMimeMessage
mime-type: text/plain
content class: CamelDataWrapper
content mime-type: text/plain
< b40fdb90 >
Thread b48feb90 >
CamelStore('imap://user_name@IMAP_SERVER/;imap_custom_headers;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;use_ssl=always;check_all;namespace=INBOX.'):get_folder('INBOX/TARGET_FOLDER', 0) = 0x893a56c
< b48feb90 >
Thread b48feb90 >
CamelStore('imap://user_name@IMAP_SERVER/;imap_custom_headers;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;use_ssl=always;check_all;namespace=INBOX.'):get_folder('INBOX/SOURCE_FOLDER', 0) = 0x8833b58

I have also noticed that the fact I find my messages in the trash folder
is normal: the messages are not directly moved, but are instead copied
and then marked as deleted.

Does it help?

Cheers,
Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Matijs van Zuijlen <matijs@matijs.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 422800@bugs.debian.org (full text, mbox):

From: Matijs van Zuijlen <matijs@matijs.net>
To: 422800@bugs.debian.org
Subject: Same here, also with dovecot
Date: Mon, 04 Feb 2008 23:40:38 +0100
[Message part 1 (text/plain, inline)]
Hello,

I also see messages not being moved (just put in trash). I also use
dovecot.

Maybe this bug needs te be marked grave?

-- 
Matijs van Zuijlen                                      http://www.matijs.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Matijs van Zuijlen <matijs@matijs.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 422800@bugs.debian.org (full text, mbox):

From: Matijs van Zuijlen <matijs@matijs.net>
To: 422800@bugs.debian.org
Subject: Re: Same here, also with dovecot
Date: Wed, 06 Feb 2008 08:14:47 +0100
[Message part 1 (text/plain, inline)]
severity 422800 grave
thanks

On Mon, 2008-02-04 at 23:40 +0100, Matijs van Zuijlen wrote:
> I also see messages not being moved (just put in trash). I also use
> dovecot.
> 
> Maybe this bug needs te be marked grave?

Hm, yes. Evolution just lost the message it just sent. Local exim logs
confirm it was indeed sent, but the message itself is not on the imap
server (where the Sent box is).

-- 
Matijs van Zuijlen                                      http://www.matijs.net/
[signature.asc (application/pgp-signature, inline)]

Severity set to `grave' from `normal' Request was from Matijs van Zuijlen <matijs@matijs.net> to control@bugs.debian.org. (Wed, 06 Feb 2008 07:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to "Øystein Gisnås" <oystein@gisnas.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 422800@bugs.debian.org (full text, mbox):

From: "Øystein Gisnås" <oystein@gisnas.net>
To: "Matijs van Zuijlen" <matijs@matijs.net>, 422800@bugs.debian.org
Subject: Re: Bug#422800: Same here, also with dovecot
Date: Sun, 10 Feb 2008 22:20:19 +0100
2008/2/6, Matijs van Zuijlen <matijs@matijs.net>:
> severity 422800 grave
> thanks
>
> On Mon, 2008-02-04 at 23:40 +0100, Matijs van Zuijlen wrote:
> > I also see messages not being moved (just put in trash). I also use
> > dovecot.
> >
> > Maybe this bug needs te be marked grave?
>
> Hm, yes. Evolution just lost the message it just sent. Local exim logs
> confirm it was indeed sent, but the message itself is not on the imap
> server (where the Sent box is).

I have seen similar behavior where attempted moving of messages ends
up with message being deleted (or moved to trash) at the source folder
but never ends up at the target folder. There may be various reasons
for that, but any general failure on the target side (think: pull the
plug of the target mailserver) would give this, I think. As long as
Evolution doesn't have proper transaction support for moving email,
this will be more or less a problem. With proper error messages and a
message instance in the trash, the user can cover up for the problem.

I will therefore ask you to describe scenarios you have where (a) the
message doesn't end up i trash, or (b) no error message is shown. Try
to make it as easy as possible to reproduce the problem.

Cheers,
Øystein




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Matijs van Zuijlen <matijs@matijs.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 422800@bugs.debian.org (full text, mbox):

From: Matijs van Zuijlen <matijs@matijs.net>
To: Øystein Gisnås <oystein@gisnas.net>
Cc: 422800@bugs.debian.org
Subject: Re: Bug#422800: Same here, also with dovecot
Date: Mon, 11 Feb 2008 22:35:15 +0100
Øystein Gisnås wrote:
> I have seen similar behavior where attempted moving of messages ends
> up with message being deleted (or moved to trash) at the source folder
> but never ends up at the target folder. There may be various reasons
> for that, but any general failure on the target side (think: pull the
> plug of the target mailserver) would give this, I think. As long as
> Evolution doesn't have proper transaction support for moving email,
> this will be more or less a problem. With proper error messages and a
> message instance in the trash, the user can cover up for the problem.

Agreed. However, I am connected to my IMAP server over a wired LAN. 
Also, dovecot does log prematurely closed connections, but no such 
events appeared in the logs for these cases.

> I will therefore ask you to describe scenarios you have where (a) the
> message doesn't end up i trash, or (b) no error message is shown. Try
> to make it as easy as possible to reproduce the problem.

No error message was ever shown. In the case where I attempted to move a 
message, it did end up in trash. In the case where I sent a message, no 
copy was preserved anywhere (except in the recipient's mailbox).

It is my impression that the original submitter also saw no error 
messages, but I may be mistaken.

I have just switched to IceDove for my day-to-day email tasks, but I 
will try to set up a dummy account using Evolution to see if I can 
reliably make the problem appear.

Regards,
Matijs van Zuijlen.




Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=512798. Request was from Tim Richardson <tim@tim-richardson.net> to control@bugs.debian.org. (Sat, 08 Mar 2008 19:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #49 received at 422800@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 422800@bugs.debian.org
Date: Sat, 08 Mar 2008 21:36:09 +0100
Matijs,
Does icedove handle this situation differently (in case this bug is the
reason you moved to icedove)?
-- 
Tim Richardson <tim@tim-richardson.net>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. Full text and rfc822 format available.

Acknowledgement sent to Matijs van Zuijlen <matijs@matijs.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #54 received at 422800@bugs.debian.org (full text, mbox):

From: Matijs van Zuijlen <matijs@matijs.net>
To: 422800@bugs.debian.org
Subject: Hard to say
Date: Sat, 29 Mar 2008 18:29:36 +0100
Tim,

I didn't recieve your message from Mar 8 directly, and only noticed it
just now in the BTS.

It's a little hard to say if IceDove handles this differently, since I'm
not quite sure yet what the 'this' is that is causing Evolution to
behave this way.

In any case, I have not seen email disappear on IceDove. If the server
is unaivalable for carrying out the move, I just get a warning: Failed
to connect to server so-and-so.

Oh, and yes, this bug was the reason for moving to IceDove.

I have in the meantime tried to reproduce this Evolution bug, but have
not succeeded yet.

Regards,
Matijs




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution. (Thu, 23 Oct 2008 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 23 Oct 2008 10:03:05 GMT) Full text and rfc822 format available.

Message #59 received at 422800@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 422800@bugs.debian.org
Cc: Julien Valroff <julien@kirya.net>, Matijs van Zuijlen <matijs@matijs.net>
Subject: Bug#422800: Sometimes fails when dragging and dropping a message from one folder to another
Date: Thu, 23 Oct 2008 11:33:32 +0200
[Message part 1 (text/plain, inline)]
reassign 422800 evolution-data-server 1.10.1-2
found 422800 2.22.3-1
tag 422800 + patch
thanks

According to upstream, this bug should be fixed by applying the attached
patch, but it would require testing.

Could you try applying this patch to evolution-data-server, upgrading it
and check whether it is fixed?

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[imap_bug422800.patch (text/x-patch, inline)]
--- camel/providers/imap/camel-imap-folder.c.orig	2008-10-23 11:26:24.314157759 +0200
+++ camel/providers/imap/camel-imap-folder.c	2008-10-23 11:27:13.086188561 +0200
@@ -1811,13 +1811,13 @@
 				handle_copyuid (response, source, destination);
 			if (response)
 				handle_copyuid_copy_user_tags (response, source, destination);
-			camel_imap_response_free (store, response);
 
-			if (!camel_exception_is_set(ex) && delete_originals) {
+			if (response && !camel_exception_is_set(ex) && delete_originals) {
 				for (i=last;i<uid;i++)
 					camel_folder_delete_message(source, uids->pdata[i]);
 				last = uid;
 			}
+			camel_imap_response_free (store, response);
 		}
 		g_free (uidset);
 	}
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `evolution' to `evolution-data-server'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 23 Oct 2008 10:03:07 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.22.3-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 23 Oct 2008 10:03:08 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 23 Oct 2008 10:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution-data-server. (Sat, 25 Oct 2008 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 25 Oct 2008 08:51:03 GMT) Full text and rfc822 format available.

Message #70 received at 422800@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Josselin Mouette <joss@debian.org>
Cc: 422800@bugs.debian.org, Matijs van Zuijlen <matijs@matijs.net>
Subject: Re: Bug#422800: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sat, 25 Oct 2008 10:47:52 +0200
Hi Josselin,

Le jeudi 23 octobre 2008 à 11:33 +0200, Josselin Mouette a écrit :
> reassign 422800 evolution-data-server 1.10.1-2
> found 422800 2.22.3-1
> tag 422800 + patch
> thanks
> 
> According to upstream, this bug should be fixed by applying the attached
> patch, but it would require testing.
> 
> Could you try applying this patch to evolution-data-server, upgrading it
> and check whether it is fixed?

Even without applying this patch, I was not able to reproduce the
problem with the current version in sid.

Cheers,
Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution-data-server. (Sat, 25 Oct 2008 10:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 25 Oct 2008 10:12:02 GMT) Full text and rfc822 format available.

Message #75 received at 422800@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Julien Valroff <julien@kirya.net>
Cc: 422800@bugs.debian.org, Matijs van Zuijlen <matijs@matijs.net>
Subject: Re: Bug#422800: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sat, 25 Oct 2008 12:06:37 +0200
[Message part 1 (text/plain, inline)]
Le samedi 25 octobre 2008 à 10:47 +0200, Julien Valroff a écrit :
> Le jeudi 23 octobre 2008 à 11:33 +0200, Josselin Mouette a écrit :
> > Could you try applying this patch to evolution-data-server, upgrading it
> > and check whether it is fixed?
> 
> Even without applying this patch, I was not able to reproduce the
> problem with the current version in sid.

You need a connexion loss at the moment of the move to reproduce the
issue. Upstream was able to reproduce the bug with 2.20 and nothing
relevant has changed since that moment, so I think it is still here.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution-data-server. (Sun, 26 Oct 2008 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Øystein Gisnås" <oystein@gisnas.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 20:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 422800@bugs.debian.org (full text, mbox):

From: "Øystein Gisnås" <oystein@gisnas.net>
To: "Josselin Mouette" <joss@debian.org>, 422800@bugs.debian.org
Cc: "Julien Valroff" <julien@kirya.net>, "Matijs van Zuijlen" <matijs@matijs.net>
Subject: Re: Bug#422800: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sun, 26 Oct 2008 21:49:49 +0100
2008/10/25 Josselin Mouette <joss@debian.org>:
> Le samedi 25 octobre 2008 à 10:47 +0200, Julien Valroff a écrit :
>> Le jeudi 23 octobre 2008 à 11:33 +0200, Josselin Mouette a écrit :
>> > Could you try applying this patch to evolution-data-server, upgrading it
>> > and check whether it is fixed?
>>
>> Even without applying this patch, I was not able to reproduce the
>> problem with the current version in sid.
>
> You need a connexion loss at the moment of the move to reproduce the
> issue. Upstream was able to reproduce the bug with 2.20 and nothing
> relevant has changed since that moment, so I think it is still here.

I'm not able to reproduce the problem. Could someone who is able to
follow Matthew's steps or in another way consistently reproduce this
please write me the detailed instructions?

Josselin, do you think it's worth applying the patch even without
anyone confirming that it works?

Øystein




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#422800; Package evolution-data-server. (Sun, 26 Oct 2008 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 21:03:06 GMT) Full text and rfc822 format available.

Message #85 received at 422800@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Øystein Gisnås <oystein@gisnas.net>
Cc: 422800@bugs.debian.org, Julien Valroff <julien@kirya.net>, Matijs van Zuijlen <matijs@matijs.net>
Subject: Re: Bug#422800: Sometimes fails when dragging and dropping a message from one folder to another
Date: Sun, 26 Oct 2008 21:58:41 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 26 octobre 2008 à 21:49 +0100, Øystein Gisnås a écrit :
> Josselin, do you think it's worth applying the patch even without
> anyone confirming that it works?

Yes, I think it is a safeguard that should be here anyway.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Thu, 30 Oct 2008 11:51:06 GMT) Full text and rfc822 format available.

Notification sent to Julien Valroff <julien@kirya.net>:
Bug acknowledged by developer. (Thu, 30 Oct 2008 11:51:06 GMT) Full text and rfc822 format available.

Message #90 received at 422800-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 422800-close@bugs.debian.org
Subject: Bug#422800: fixed in evolution-data-server 2.22.3-1.1
Date: Thu, 30 Oct 2008 11:32:06 +0000
Source: evolution-data-server
Source-Version: 2.22.3-1.1

We believe that the bug you reported is fixed in the latest version of
evolution-data-server, which is due to be installed in the Debian FTP archive:

evolution-data-server-common_2.22.3-1.1_all.deb
  to pool/main/e/evolution-data-server/evolution-data-server-common_2.22.3-1.1_all.deb
evolution-data-server-dbg_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server-dbg_2.22.3-1.1_amd64.deb
evolution-data-server-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server-dev_2.22.3-1.1_amd64.deb
evolution-data-server_2.22.3-1.1.diff.gz
  to pool/main/e/evolution-data-server/evolution-data-server_2.22.3-1.1.diff.gz
evolution-data-server_2.22.3-1.1.dsc
  to pool/main/e/evolution-data-server/evolution-data-server_2.22.3-1.1.dsc
evolution-data-server_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server_2.22.3-1.1_amd64.deb
libcamel1.2-11_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libcamel1.2-11_2.22.3-1.1_amd64.deb
libcamel1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libcamel1.2-dev_2.22.3-1.1_amd64.deb
libebook1.2-9_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libebook1.2-9_2.22.3-1.1_amd64.deb
libebook1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libebook1.2-dev_2.22.3-1.1_amd64.deb
libecal1.2-7_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libecal1.2-7_2.22.3-1.1_amd64.deb
libecal1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libecal1.2-dev_2.22.3-1.1_amd64.deb
libedata-book1.2-2_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedata-book1.2-2_2.22.3-1.1_amd64.deb
libedata-book1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedata-book1.2-dev_2.22.3-1.1_amd64.deb
libedata-cal1.2-6_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedata-cal1.2-6_2.22.3-1.1_amd64.deb
libedata-cal1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedata-cal1.2-dev_2.22.3-1.1_amd64.deb
libedataserver1.2-9_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedataserver1.2-9_2.22.3-1.1_amd64.deb
libedataserver1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedataserver1.2-dev_2.22.3-1.1_amd64.deb
libedataserverui1.2-8_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedataserverui1.2-8_2.22.3-1.1_amd64.deb
libedataserverui1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libedataserverui1.2-dev_2.22.3-1.1_amd64.deb
libegroupwise1.2-13_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libegroupwise1.2-13_2.22.3-1.1_amd64.deb
libegroupwise1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libegroupwise1.2-dev_2.22.3-1.1_amd64.deb
libexchange-storage1.2-3_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libexchange-storage1.2-3_2.22.3-1.1_amd64.deb
libexchange-storage1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libexchange-storage1.2-dev_2.22.3-1.1_amd64.deb
libgdata-google1.2-1_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libgdata-google1.2-1_2.22.3-1.1_amd64.deb
libgdata-google1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libgdata-google1.2-dev_2.22.3-1.1_amd64.deb
libgdata1.2-1_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libgdata1.2-1_2.22.3-1.1_amd64.deb
libgdata1.2-dev_2.22.3-1.1_amd64.deb
  to pool/main/e/evolution-data-server/libgdata1.2-dev_2.22.3-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 422800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated evolution-data-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Oct 2008 22:31:52 +0100
Source: evolution-data-server
Binary: evolution-data-server evolution-data-server-common evolution-data-server-dev evolution-data-server-dbg libedataserver1.2-9 libedataserver1.2-dev libcamel1.2-11 libcamel1.2-dev libebook1.2-9 libebook1.2-dev libedataserverui1.2-8 libedataserverui1.2-dev libedata-book1.2-2 libedata-book1.2-dev libecal1.2-7 libecal1.2-dev libedata-cal1.2-6 libedata-cal1.2-dev libegroupwise1.2-13 libegroupwise1.2-dev libexchange-storage1.2-3 libexchange-storage1.2-dev libgdata1.2-1 libgdata1.2-dev libgdata-google1.2-1 libgdata-google1.2-dev
Architecture: source all amd64
Version: 2.22.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 evolution-data-server - evolution database backend server
 evolution-data-server-common - architecture independent files for Evolution Data Server
 evolution-data-server-dbg - evolution database backend server with debugging symbols
 evolution-data-server-dev - Development files for evolution-data-server (metapackage)
 libcamel1.2-11 - The Evolution MIME message handling library
 libcamel1.2-dev - Development files for libcamel
 libebook1.2-9 - Client library for evolution address books
 libebook1.2-dev - Client library for evolution address books (development files)
 libecal1.2-7 - Client library for evolution calendars
 libecal1.2-dev - Client library for evolution calendars (development files)
 libedata-book1.2-2 - Backend library for evolution address books
 libedata-book1.2-dev - Backend library for evolution address books (development files)
 libedata-cal1.2-6 - Backend library for evolution calendars
 libedata-cal1.2-dev - Backend library for evolution calendars (development files)
 libedataserver1.2-9 - Utility library for evolution data servers
 libedataserver1.2-dev - Utility library for evolution data servers (development files)
 libedataserverui1.2-8 - GUI utility library for evolution data servers
 libedataserverui1.2-dev - GUI utility library for evolution data servers (development files
 libegroupwise1.2-13 - Client library for accessing groupwise POA through SOAP interface
 libegroupwise1.2-dev - Development files for libegroupwise
 libexchange-storage1.2-3 - Client library for accessing Exchange server through webdav
 libexchange-storage1.2-dev - Backend library for evolution calendars (development files)
 libgdata-google1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata-google1.2-dev - Client library for accessing Google POA (development files)
 libgdata1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata1.2-dev - Client library for accessing Google POA (development files)
Closes: 422800
Changes: 
 evolution-data-server (2.22.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 01_imap_failcopy.patch: new patch; when moving messages, do not
     remove the original if the server response is NULL, which can happen
     in case of a disconnect. Closes: #422800.
Checksums-Sha1: 
 f430bce532f1cd1222f2efae055d349167422c01 2682 evolution-data-server_2.22.3-1.1.dsc
 d220cc1d36598212914b825da0996d67b3c7e8f1 20318 evolution-data-server_2.22.3-1.1.diff.gz
 b9f14ad90fadcc0f4d06bc7135e4b93d488a661f 2150206 evolution-data-server-common_2.22.3-1.1_all.deb
 ccb72ef83ff2d437df321f33aded3550bd80e4ad 541454 evolution-data-server_2.22.3-1.1_amd64.deb
 89b6584fac3b32095d86ae74b314f39805d388e8 76946 evolution-data-server-dev_2.22.3-1.1_amd64.deb
 bcb7c450fc7263f4ea133f59c6be63290c822d5f 3551340 evolution-data-server-dbg_2.22.3-1.1_amd64.deb
 14c569cee9eacce2aededf66a85d2e581526df6a 152934 libedataserver1.2-9_2.22.3-1.1_amd64.deb
 5023cb991d159df490a1144c634227516cbb5626 164056 libedataserver1.2-dev_2.22.3-1.1_amd64.deb
 c34f5ed23ae0e663a32a4805753a25442bf8ff6c 418696 libcamel1.2-11_2.22.3-1.1_amd64.deb
 fac3bc10b99afef5883fae9cee88b41904596007 144350 libcamel1.2-dev_2.22.3-1.1_amd64.deb
 65992e31eba4d478489261650a44016e36b91381 165106 libebook1.2-9_2.22.3-1.1_amd64.deb
 5685c3a6352fac881efa7ea432fcfb0f5f76600d 156324 libebook1.2-dev_2.22.3-1.1_amd64.deb
 eb34a192645b281ba2637c0d277352e109398927 158438 libedataserverui1.2-8_2.22.3-1.1_amd64.deb
 218760945521938b8191b89653b00658348e776e 85658 libedataserverui1.2-dev_2.22.3-1.1_amd64.deb
 5e82980141683dcc08cc9c602ed3a38690cf6c69 127978 libedata-book1.2-2_2.22.3-1.1_amd64.deb
 1b46fc3a42aa929a23d6206b14864251b7b9cf82 94352 libedata-book1.2-dev_2.22.3-1.1_amd64.deb
 f4e927e8b99397d6863f5b61abd9112647fdca7c 353384 libecal1.2-7_2.22.3-1.1_amd64.deb
 1a2b4e35d360ff91cbeefd7c1b7a2b0b5837a563 199788 libecal1.2-dev_2.22.3-1.1_amd64.deb
 8b9d21efa67a1b2b0ebbc7f4e9c913458fb567d4 141120 libedata-cal1.2-6_2.22.3-1.1_amd64.deb
 0e0310ac33800ed93e7e1e90597512a4f97d5ea8 137352 libedata-cal1.2-dev_2.22.3-1.1_amd64.deb
 e8aa971cde9c127e4284e582705d12b4139cb806 144704 libegroupwise1.2-13_2.22.3-1.1_amd64.deb
 fa4c4853a708f1e568bc8bf864493c6916d8f280 86782 libegroupwise1.2-dev_2.22.3-1.1_amd64.deb
 2929fe5881d6fffa2978847bb83419786f1cb491 208336 libexchange-storage1.2-3_2.22.3-1.1_amd64.deb
 089d736453786e4c8e94714e1b888f4da1945ea5 117234 libexchange-storage1.2-dev_2.22.3-1.1_amd64.deb
 3779d4386ab29d2154319b6bfcd1b295104a0515 90220 libgdata1.2-1_2.22.3-1.1_amd64.deb
 b6a4837729c713897bd49f174bc166c93d8ae707 79868 libgdata1.2-dev_2.22.3-1.1_amd64.deb
 3a2141f604391700342316d8e9754eb497a7e363 84692 libgdata-google1.2-1_2.22.3-1.1_amd64.deb
 224019d081d0f408057986ce6024db6c0337a6a0 78516 libgdata-google1.2-dev_2.22.3-1.1_amd64.deb
Checksums-Sha256: 
 3a5e03c718f3ecab8160bd150298951230c41cac6720b68214d7ee319f5e826e 2682 evolution-data-server_2.22.3-1.1.dsc
 3b3138902e9d8528210c84cf7ab18e01747ec9cc4fa08a173643bff5c5b79fd3 20318 evolution-data-server_2.22.3-1.1.diff.gz
 2c46d447112cb5a4a146e010bc16edcac25d233b89b70c3466bf15a2a8fb518d 2150206 evolution-data-server-common_2.22.3-1.1_all.deb
 8a9f619de6d81b952281646bbc2e97d0d3d5af494f4d6f14d31b8b79d0c4dab9 541454 evolution-data-server_2.22.3-1.1_amd64.deb
 520f90063d578d6ff05061420e79750d81e30d09f305a7347d2998c331db75a8 76946 evolution-data-server-dev_2.22.3-1.1_amd64.deb
 0a26b489ad0fe02fd9e4c7ffaa7d39ba0cc924028188ad47d88e4ffdc1195df0 3551340 evolution-data-server-dbg_2.22.3-1.1_amd64.deb
 850d91b5eda1c6f9c364bbe71b4962e05091b655a144d9048d47c17f35782860 152934 libedataserver1.2-9_2.22.3-1.1_amd64.deb
 0af2b284cb91b008670c5a326b35e4159d11281369013aa8011259b264aae971 164056 libedataserver1.2-dev_2.22.3-1.1_amd64.deb
 c302fefc73e8ffae0ea5183749e4a2cc845e957980f9346ed551f65741923a1d 418696 libcamel1.2-11_2.22.3-1.1_amd64.deb
 a4b696e08ed23044baf1a2507ce1a6be42c5d184043178ecbb6bb7c04e7fd9a1 144350 libcamel1.2-dev_2.22.3-1.1_amd64.deb
 b97b89fc427d08091e179d4ca7f6cd67bfd13ef1330936d957ee88f9ac90a60b 165106 libebook1.2-9_2.22.3-1.1_amd64.deb
 8925efeabb87356f2d537f4a1a89ba72975b115f9a39fe9607cd2ec76c8dd18d 156324 libebook1.2-dev_2.22.3-1.1_amd64.deb
 e42d2745d6a6eaa2974f03979de7e44902c4ef887ec6aca3861ab1aa94ebd136 158438 libedataserverui1.2-8_2.22.3-1.1_amd64.deb
 a92a87c7b83cfa3caf080163934b72fdc5306e84348de21570c60fb7d0ca9931 85658 libedataserverui1.2-dev_2.22.3-1.1_amd64.deb
 343dcd99dc25e9ddaee957a6be1001159503ef668f312bd555d88c9ed7f0cbe4 127978 libedata-book1.2-2_2.22.3-1.1_amd64.deb
 1b15112f3fdd479c39354d67c16dd8ceddf742615fee6a04be301299c2fd5494 94352 libedata-book1.2-dev_2.22.3-1.1_amd64.deb
 0e04c61325ee6ef8e39e450fcabb557479d7d38bc732a8d01baeefa8777b7c8d 353384 libecal1.2-7_2.22.3-1.1_amd64.deb
 5e944bee78dc17dc6d89dc52b51e3b92cd934cc91feaba4a10a867c45ccbaddb 199788 libecal1.2-dev_2.22.3-1.1_amd64.deb
 4ada07e5953aa4066cc986d3166776ce06b11c4536b558d16eaf7c9f3203f3a2 141120 libedata-cal1.2-6_2.22.3-1.1_amd64.deb
 f30048db3c53996ed4beff0c4a654f6f2cdab1b72a012ef09257dd61e4fa4e49 137352 libedata-cal1.2-dev_2.22.3-1.1_amd64.deb
 568e22dc0413518644d73d4fd88b7488167e2cb1d58138dc2a9241b491d2a3a6 144704 libegroupwise1.2-13_2.22.3-1.1_amd64.deb
 fe707eae0d0b699fb0a5f4e4bb524919c976ac8e376dcb7eb6e1dea0b49c412f 86782 libegroupwise1.2-dev_2.22.3-1.1_amd64.deb
 dfb82355b473657fa2af9ed6e07baac039f06292bde70b96856e202c8e9fdc40 208336 libexchange-storage1.2-3_2.22.3-1.1_amd64.deb
 8085f715ec0af546a9ae3476095ab53efb4f64f4e2d86eb7b0efbbfc9881d399 117234 libexchange-storage1.2-dev_2.22.3-1.1_amd64.deb
 cff18cea79200ee5a04c630ad64164a1a7a97f93acbf6c44b22f731800f2bf31 90220 libgdata1.2-1_2.22.3-1.1_amd64.deb
 b79b307a3d749406b9903db0c961d8de2dbb41c9b53e1fdaafcb4613f3c3c4b7 79868 libgdata1.2-dev_2.22.3-1.1_amd64.deb
 d989599b3126fc710e6efd1bcf64b84ad3fe2669e1a7b702c08362a38a21cdb9 84692 libgdata-google1.2-1_2.22.3-1.1_amd64.deb
 1f3a70dde561c32d750ef2115366daaa14d8ca43ac60e715e943c45557567b2d 78516 libgdata-google1.2-dev_2.22.3-1.1_amd64.deb
Files: 
 25bbf67e0c50146ad529830b0a331328 2682 gnome optional evolution-data-server_2.22.3-1.1.dsc
 2491aee0e04cc8434045cfaeff76e4b8 20318 gnome optional evolution-data-server_2.22.3-1.1.diff.gz
 ab3e7270be06674785294a51c102c828 2150206 gnome optional evolution-data-server-common_2.22.3-1.1_all.deb
 3f6950ad735c09a3c396ee0940953c85 541454 gnome optional evolution-data-server_2.22.3-1.1_amd64.deb
 bec3a7a0da92fd1585d2e74ff0951834 76946 devel optional evolution-data-server-dev_2.22.3-1.1_amd64.deb
 0f78d3a2ca123c98d9d7f67053a78d92 3551340 gnome extra evolution-data-server-dbg_2.22.3-1.1_amd64.deb
 f675f4628f7b6faa6f1e32641fc0862a 152934 libs optional libedataserver1.2-9_2.22.3-1.1_amd64.deb
 30cdd2cc7219378a9cf878251ab241c8 164056 libdevel optional libedataserver1.2-dev_2.22.3-1.1_amd64.deb
 cf73f83c08fc7b296f363b7be0e4ab45 418696 libs optional libcamel1.2-11_2.22.3-1.1_amd64.deb
 c9e8daf2f56dfd9c76bcfb017f7ec253 144350 libdevel optional libcamel1.2-dev_2.22.3-1.1_amd64.deb
 883df10d9cc03abc4f33bf4bbde28978 165106 libs optional libebook1.2-9_2.22.3-1.1_amd64.deb
 1d5709966d2df88a1efb89dfbb90a724 156324 libdevel optional libebook1.2-dev_2.22.3-1.1_amd64.deb
 34d93138d41a4d6e0da7228c264c9090 158438 libs optional libedataserverui1.2-8_2.22.3-1.1_amd64.deb
 f400502d917723cca3333bd397395de1 85658 libdevel optional libedataserverui1.2-dev_2.22.3-1.1_amd64.deb
 123124b8fac730525e12b5271b8a2342 127978 libs optional libedata-book1.2-2_2.22.3-1.1_amd64.deb
 420e4e55af5a5b3bf439c814c76cc63f 94352 libdevel optional libedata-book1.2-dev_2.22.3-1.1_amd64.deb
 93659f749af360a3ae1c7e6d005ae72c 353384 libs optional libecal1.2-7_2.22.3-1.1_amd64.deb
 58f4e463c8a391893d687d74ee6ef8fc 199788 libdevel optional libecal1.2-dev_2.22.3-1.1_amd64.deb
 067c3f847cf0d79d42ca8d4075c09199 141120 libs optional libedata-cal1.2-6_2.22.3-1.1_amd64.deb
 114f66c2cadd7df9dac0c0b7e294fb85 137352 libdevel optional libedata-cal1.2-dev_2.22.3-1.1_amd64.deb
 065074962fc8cacce1f1c35c9cbc86a1 144704 libs optional libegroupwise1.2-13_2.22.3-1.1_amd64.deb
 9b4a6f9ed8126b16119bb5e7bd978daa 86782 libdevel optional libegroupwise1.2-dev_2.22.3-1.1_amd64.deb
 605ed9f0b7e15e27271855385a060659 208336 libs optional libexchange-storage1.2-3_2.22.3-1.1_amd64.deb
 3098203ef295fc914cf169a022cc600c 117234 libdevel optional libexchange-storage1.2-dev_2.22.3-1.1_amd64.deb
 4c48a0a2edaad1e310e554a9b1ba7e12 90220 libs optional libgdata1.2-1_2.22.3-1.1_amd64.deb
 a30123f512bc3eae895103451ab09152 79868 libdevel optional libgdata1.2-dev_2.22.3-1.1_amd64.deb
 8fff393d29d8c4316a23b1bccdaae057 84692 libs optional libgdata-google1.2-1_2.22.3-1.1_amd64.deb
 da4f3279fd88c35960d503a68fe02452 78516 libdevel optional libgdata-google1.2-dev_2.22.3-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJB4yarSla4ddfhTMRAlc6AJ9z6likhlrWSwIjE1RRxWfNuSCHVgCfY+xx
Ozi3ywGEt/ORkd8cBDcof5Y=
=jQdK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Dec 2008 07:25:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:43:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.